std::extents::fwd-prod-of-extents(3)

NAME
std::extents::fwd-prod-of-extents - std::extents::fwd-prod-of-extents

Synopsis
   constexpr std::size_t rank_type /*fwd-prod-of-extents*/( (since C++23)
   rank_type i ) const noexcept; (exposition only*)
   Returns the product of the sizes of extents with index less than i. The behavior is
   undefined if i <= rank() is false.

Parameters
   i - The end index of the range of extents to be multiplied together.

Return value
   If i > 0 is true, return the product of extent(k) for all k in range [0, i),
   otherwise 1.

Example
    This section is incomplete
    Reason: no example

See also
   rev-prod-of-extents returns the product of extents size in range [i + 1, rank())
                       (exposition-only member function*)

Category:
     * Todo no example